    A weighted sum of a Gaussian and Lorentzian distribution.

pseudovoigt1d

Unlike the Voigt1D model, which is a convolution between a Gaussian and Lorentz distribution, this approximates the Voigt profile with a linear combination of the two profiles [1] . It is often used in spectroscopy.

>>> create_model_component("pseudovoigt1d", "mdl")
>>> print(mdl)

Create a component of the pseudovoigt1d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.frac thawed 0.5 0 1 mdl.fwhm thawed 10 1.17549e-38 3.40282e+38 mdl.pos thawed 0 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
frac
The fraction of the model composed of the Gaussian profile (0 to 1).
fwhm
The full-width half-maximum (FWHM) of each component.
pos
The center of the profile.
ampl
The amplitude of the profile.

Notes

The model can be written as:

f(x) = frac * g(x) + (1 - frac) * l(x)

where g(x) and l(x) are NormGauss1D and Lorentz1D models with the fwhm, pos, and ampl values taken from this model.

References

[1] https://en.wikipedia.org/wiki/Voigt_profile#Pseudo-Voigt_approximation

Changes in CIAO

The pseudovoigt1d and voigt1d models were added in CIAO 4.13 and replace the absorptionvoigt and emissionvoigt models.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023